Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class WorkEvent

    java.lang.Object
      org.apache.ode.bpel.engine.WorkEvent

    public class WorkEvent

extends java.lang.Object

Wrapper around job detail map.

Nested Class Summary
`static class` | `WorkEvent.Type`

Method Summary
`java.lang.String` | `getChannel()`
`CorrelationKeySet` | `getCorrelationKeySet()`
`java.lang.String` | `getCorrelatorId()`
`java.lang.String` | `getMexId()`
`javax.xml.namespace.QName` | `getProcessId()`
`boolean` | `isInMem()`
`void` | `setChannel(java.lang.String channel)`
`void` | `setCorrelationKeySet(CorrelationKeySet ckeySet)`
`void` | `setCorrelatorId(java.lang.String correlatorId)`
`void` | `setIID(java.lang.Long instanceId)`
`void` | `setInMem(boolean inmem)`
`void` | `setMexId(java.lang.String mexId)`
`void` | `setProcessId(javax.xml.namespace.QName pid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getChannel

    public java.lang.String getChannel()

### setIID

    public void setIID(java.lang.Long instanceId)

### setChannel

    public void setChannel(java.lang.String channel)

### getMexId

    public java.lang.String getMexId()

### setMexId

    public void setMexId(java.lang.String mexId)

### getCorrelatorId

    public java.lang.String getCorrelatorId()

### setCorrelatorId

    public void setCorrelatorId(java.lang.String correlatorId)

### getCorrelationKeySet

    public CorrelationKeySet getCorrelationKeySet()

### setCorrelationKeySet

    public void setCorrelationKeySet(CorrelationKeySet ckeySet)

### setInMem

    public void setInMem(boolean inmem)

### isInMem

    public boolean isInMem()

### setProcessId

    public void setProcessId(javax.xml.namespace.QName pid)

### getProcessId

    public javax.xml.namespace.QName getProcessId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD